Subject: Re: [RFC PATCH] genetlink: add multi-version family support for protocol negotiation

From: Jakub Kicinski <[email-masked]>
Date: Wed, 18 Mar 2026 15:27:44 -0700

On Wed, 18 Mar 2026 15:54:04 +0100 Christoph Böhmwalder wrote:
> > I still feel a little bit in the dark as to what you're doing but the
> > normal path for Netlink is to add new attributes and commands in a
> > backward-compat manner. In case of DRBD given how "special" the
> > existing code is we could probably start a new family using modern
> > constructs.  
> 
> The new family indeed sounds like a way out. So we would register two
> families: the old "drbd" for the compat case, and a new "drbd2" with the
> new command set. Would that be more in line with the "standard approach"?

If we really can't keep backward compatibility then new family sounds
like the next best thing.